Subject: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Dmitry Gutov <[email-masked]>
Date: Thu, 22 Jan 2015 04:32:00 +0200

On 01/21/2015 10:02 PM, Stefan Monnier wrote:

> Sorry, I missed this.  When/how do you get this error?

I happened on evaluating xref.el after you do 'make' in Emacs sources.

> There are two problems here:
> 1- The warnings fail to include the "xref.el:<lineno>: " prefix.
>     Haven't figured out why yet.  If someone wants to help fix this, he'd
>     be very welcome.  The problem seems to happen only when
>     macroexp--warn-and-return is used on a toplevel form (aka
>     "file-form").  The warnings themselves are otherwise correct (and
>     "harmless").
> 2- xref.el (just like pretty much all existing code using EIEIO) uses
>     obsolete macros, indeed.  This is easy to fix.

Guess which one I've just fixed. :)